taggedHierNomenclature-class {ontoTools} | R Documentation

## Class "taggedHierNomenclature" ~~~

### Description

representation of a DAG-structured nomenclature

### Objects from the Class

Objects can be created by calls of the form `new("taggedHierNomenclature", ...)`. See example

### Slots

`tags`:
  Object of class `"character"` ; formal tags, often semantically opaque
`parents`:
  Object of class `"character"`; terms regarded as generalizations of the given term
`delim`:
  Object of class `"character"`; the parent strings are decomposed using this delimiter
`rootToken`:
  Object of class `"character"`; token used to indicate root of DAG
`name`:
  Object of class `"character"` name of nomenclature
`provenance`:
  Object of class `"provStruct"` information on origins of vocabulary
`inMappings`:
  Object of class `"character"` list of mappings in which the term is employed
`terms`:
  Object of class `"character"` actual subject matter terms being organized
`definitions`:
  Object of class `"character"` verbal definitions of terms

### Extends

Class `"nomenclature"`, directly.

### Methods

children
  `signature(term = "character", nom = "taggedHierNomenclature")`: ...
parents
  `signature(term = "character", nom = "taggedHierNomenclature")`: ...
show
  `signature(object = "taggedHierNomenclature")`: ...

### Author(s)

VJ Carey <stvjc@channing.harvard.edu>

### References

### See Also

`GDI_NCIThesaurus`

### Examples

    data(GDI_NCIThesaurus)
    GDI_NCIThesaurus

[Package ontoTools version 1.12.1 Index]